ISCSI_CREATE_CONN(9)

NAME
iscsi_create_conn - create iscsi class connection

SYNOPSIS

struct iscsi_cls_conn * iscsi_create_conn(struct iscsi_cls_session * session, int dd_size, uint32_t cid);

ARGUMENTS

session
    iscsi cls session

dd_size
    private driver data size

cid
    connection id

DESCRIPTION

This can be called from a LLD or iscsi_transport. The connection is child of the session so cid must be unique for all connections on the session.

Since we do not support MCS, cid will normally be zero. In some cases for software iscsi we could be trying to preallocate a connection struct in which case there could be two connection structs and cid would be non-zero.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT